%define	__libtoolize	/bin/true

Name:		swig
Summary:	Simplified Wrapper and Interface Generator (SWIG)
Version:	1.3.21
Release:	3mdk
License:	BSD-like
Group:		Development/Perl
URL:		http://www.swig.org/

Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		swig-1.3.19-pylibdir.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	python-devel perl-devel ruby-devel kaffe-devel guile-devel php php-devel
BuildRequires:  automake1.7 autoconf2.5

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package	devel
Summary:	Header files and libraries for developing apps which will use %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description	devel
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-devel package if you want to develop applications that
will use the %{name} library.


%prep
%setup -q -n SWIG-%{version}
%patch0 -p1 -b .pylibdir

%build
%{__autoconf}
aclocal-1.7
%configure
make
make runtime

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install-lib install-main install-runtime M4_INSTALL_DIR=$RPM_BUILD_ROOT%{_datadir}/aclocal
mkdir -p $RPM_BUILD_ROOT/%{_includedir}
install -m655 ./Source/DOH/doh.h $RPM_BUILD_ROOT/%{_includedir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc CHANGES CHANGES.current LICENSE README Examples ANNOUNCE FUTURE NEW TODO
%{_bindir}/*
%{_libdir}/*so*
%{_libdir}/%{name}*

%files devel
%defattr(-,root,root)
%doc LICENSE Doc
%{_includedir}/*
%{_libdir}/*a
%{_datadir}/aclocal/%{name}.m4

%changelog
* Thu Jan 15 2004 Ben Reser <ben@reser.org> 1.3.21-3mdk
- Patch to fix python support on amd64.

* Wed Jan 14 2004 Ben Reser <ben@reser.org> 1.3.21-2mdk
- devel package should require the same version-release of the main
  package.

* Wed Jan 14 2004 Ben Reser <ben@reser.org> 1.3.21-1mdk
- 1.3.21
- Remove the symlink that was causing it to ship the currently installed
  binary on the build host.  The 1.3.20 version actually had the 1.3.19
  binary in it.  And as such produced code that wouldn't build against
  the headers.
- Drop the symlink to the binary in the doc dir.
- Ship CHANGES.current, ANNOUNCE, FUTURE, NEW and TODO in the doc dir.

* Sat Jan 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3.20-1mdk
- 1.3.20

* Wed Apr 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3.19-1mdk
- 1.3.19
- drop Patch0 & Patch1 (merged upstream)
- don't manually install swig.h anymore(it automatically get's installed now)
- change path to doh.h to install from
- updated documentation (drop VERSION, no longer exists, include devel docs for
  devel package)
- fix library-without-ldconfig-post*

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-3mdk
- Automated rebuild with gcc3.2

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.11-2mdk
- add patch #1 from Sam Liddicott <sam.liddicott@ananova.com> to fix php

* Sun Feb  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3.11-1mdk
- new version
  - remove patch #0 to detect Ruby, no more needed
  - adds support for php which needs a patch for detection of location
  - no more needed to specify hard paths for python and tcl
- fix invalid-url
- fix invalid-license (BSD-like seemed the most appropriate)

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.3a5-1mdk
- new version so that we get Ruby support
- tcl and python will re-work
- include Examples

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake

